org.jetlang.remote.acceptor

## Interface NioJetlangRemotingClientFactory.Handler

Enclosing class:
  NioJetlangRemotingClientFactory

    public static interface NioJetlangRemotingClientFactory.Handler

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default void` `configureAcceptedClient(SelectionKey key, SocketChannel channel)`
`void` `onNewSession(JetlangNioSession session)`
`void` `onUnhandledReplyMsg(SelectionKey key, SocketChannel channel, String dataTopicVal, Object readObject)`
`void` `onUnknownMessage(SelectionKey key, SocketChannel channel, int read)`

### Method Detail

#### onNewSession

    void onNewSession(JetlangNioSession session)

#### onUnhandledReplyMsg

    void onUnhandledReplyMsg(SelectionKey key,
                             SocketChannel channel,
                             String dataTopicVal,
                             Object readObject)

#### onUnknownMessage

    void onUnknownMessage(SelectionKey key,
                          SocketChannel channel,
                          int read)

#### configureAcceptedClient

    default void configureAcceptedClient(SelectionKey key,
                                         SocketChannel channel)
                                  throws SocketException

Throws:
  `SocketException`